#
# Copyright (c) 2005 Canonical
#
# Written by Anders F Bjorklund <afb@users.sourceforge.net>
#
# This file is part of Smart Package Manager.
#
# Smart Package Manager is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2 of the License, or (at
# your option) any later version.
#
# Smart Package Manager is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Smart Package Manager; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
import rpm

archscores = {}

def archscore(arch):
    if not arch in archscores:
        try:
            archscores[arch] = rpm.archscore(arch)
        except AttributeError:
            # rpm.archscore missing from RPM 4.4.7 and 5.0.0
            # (but available from 4.4.9 and 5.0.3, and later,
            #  using PlatformScore rather than MachineScore)
            archscores[arch] = 1
    return archscores[arch]

def filepaths(h):
    paths = h[rpm.RPMTAG_OLDFILENAMES]
    if not paths:
        dirs = h[rpm.RPMTAG_DIRNAMES]
        base = h[rpm.RPMTAG_BASENAMES]
        paths = []
        for i in range(0,len(dirs)):
           paths.append(dirs[i] + base[i])
    elif type(paths) != list:
        paths = [paths]
    return paths

# vim:ts=4:sw=4:et
